#
# spec file for package cppzmq-devel
#
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cppzmq-devel
Version:        0.0.0+git.20160406.0db7521
Release:        1.1
Summary:        A C++ binding for 0MQ
License:        GPL-3.0+ and LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/zeromq/cppzmq
Source:         cppzmq-%{version}.tar.xz
Requires:       zeromq-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A simple C++ binding for 0MQ.

%prep
%setup -q -n cppzmq-%{version}

%build
# There is nothing to build.

%install
install -Dpm 644 zmq.hpp %{buildroot}%{_includedir}/zmq.hpp

%files
%defattr(-,root,root)
%doc LICENSE README
%{_includedir}/zmq.hpp

%changelog
* Mon Jun 27 2016 avvissu@yandex.by
- Update to version 0.0.0+git.20160406.0db7521:
  * Class for multipart messaging
* Fri Feb  5 2016 avvissu@yandex.by
- Update to version 0.0.0+git.20160120.68a7b09:
  * Fix backward compatibility
  * Fixes assertion error, when destroing ctx while creating a socket
    from a different thread: ./src/mutex.hpp:123
  * Extend C++11 guard to cover remaining use of std::vector data().
  * fixed type mismatch warnings (size_t to int)
  * Avoid using deprecated function zmq_recvmsg
  * Fix usage of zmq_msg_recv and zmq_recvmsg
  * Make getsockopt() functions const
  * Fix two issues in message_t's range constructor
  * Correction to pull request #56
  * Fix warning 4996 in msvc debug build
  * New fill constructor for message_t
  * Updating zmq_ctx_shutdown to zmq_ctx_ctx which is imported in zmq.h
* Mon Sep 21 2015 mardnh@gmx.de
- Update to version 0.1.0.git1436168018.a88bf3e:
  + Fixes backward compatibility with zmq 3.x
  + Problem: zmq_event_t removed in libzmq v4.1
  + Fix a misaligned load
  + Add an rvalue overload for socket_t::send
  + Fixed some const-correctness issues
* Tue Nov 26 2013 nevion@gmail.com
-initial creation
